# $Revision: 1.55 $, $Date: 2011/07/20 22:11:34 $
Summary:	Maxima Symbolic Computation Program
Summary(pl.UTF-8):	Program do obliczeń symbolicznych Maxima
Name:		maxima
Version:	5.24.0
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/maxima/%{name}-%{version}.tar.gz
# Source0-md5:	396765661059d73e03b739b350bc42da
Source1:	x%{name}.desktop
Source2:	%{name}-mode-init.el
Patch0:		%{name}-info.patch
Patch1:		%{name}-missed-files.patch
Patch2:		%{name}-posix.patch
Patch3:		x%{name}-doc.patch
Patch4:		%{name}-install.patch
Patch5:		%{name}-info-compressed.patch
URL:		http://maxima.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	clisp
BuildRequires:	emacs
BuildRequires:	perl-base
BuildRequires:	python
BuildRequires:	texinfo
%requires_eq	clisp
Requires:	gzip
Suggests:	gnuplot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Maxima is a full symbolic computation program. It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats. It has a
symbolic debugger source level debugger for maxima code. Maxima is
based on the original Macsyma developed at MIT in the 1970's. It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests. William Schelter at University
of Texas, has been responsible for development since the mid 1980's.
See http://www.ma.utexas.edu/maxima.html for more information. He has
recently been able to get DOE to allow him to distribute Maxima under
the GPL.

%description -l pl.UTF-8
Maxima jest pakietem do pełnych obliczeń matematycznych. Ma duże
możliwości symbolicznych obliczeń na wielomianach, macierzach,
funkcjach wymiernych, całkowania, stosowania metody Todda-Coxetera,
rysowania, obliczeń na wielkich liczbach. Posiada symboliczny debugger
kodu źródłowego w maximie. Maxima bazuje na oryginalnej Macsyma
utworzonej w MIT w roku 1970. Ma dobrą obsługę błędów, nie ma wycieków
pamięci. Przychodzi z setkami testów. Od połowy lat 80-tych za rozwój
projektu odpowiada William Schelter z University of Texas. Więcej
informacji na stronie http://www.ma.utexas.edu/maxima.html. Ostatnio
udało mu się uzyskać pozwolenie DOE na opublikowanie Maximy na
licencji GPL.

%package xmaxima
Summary:	Tcl/Tk GUI interface for Maxima
Summary(pl.UTF-8):	Graficzny interfejs Tcl/Tk dla Maximy
Group:		Applications/Math
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	tk

%description xmaxima
Tcl/Tk GUI interface for maxima.

%description xmaxima -l pl.UTF-8
Graficzny interfejs Tcl/Tk dla Maximy.

%package src
Summary:	Maxima lisp source code
Summary(pl.UTF-8):	Pliki źródłowe Maximy
Group:		Development

%description src
Maxima lisp source code.

%description src -l pl.UTF-8
Pliki źródłowe Maximy.

%package doc
Summary:	Maxima documentation
Summary(pl.UTF-8):	Dokumentacja dla Maximy
Group:		Documentation

%description doc
Maxima documentation.

%description doc -l pl.UTF-8
Dokumentacja dla Maximy.

%package -n emacs-maxima-pkg
Summary:	Emacs mode for Maxima
Summary(pl.UTF-8):	Tryb Maximy dla Emacsa
Group:		Applications/Math
Requires:	emacs-common

%description -n emacs-maxima-pkg
Emacs mode files for Maxima.

%description -n emacs-maxima-pkg -l pl.UTF-8
Tryb Maximy dla Emacsa.

%prep
%setup -q
# %patch0 -p1
%patch1 -p1
touch doc/info/{maximahtml.mk,category-macros.texi} src/{clisp,cmucl,gcl}-depends.mk

%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--enable-clisp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_emacs_lispdir}/{,site-start.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir*
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -f $RPM_BUILD_ROOT%{_datadir}/%{name}/%{version}/xmaxima/%{name}-icon.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/%version/emacs $RPM_BUILD_ROOT%{_emacs_lispdir}/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_emacs_lispdir}/site-start.d

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%triggerin doc -- %{name} = %{epoch}:%{version}
if [ -d %{_docdir}/%{name}-doc-%{version} ]; then
	ln -snf %{_docdir}/%{name}-doc-%{version} %{_datadir}/%{name}/%{version}/doc
fi

%triggerun doc -- %{name} = %{epoch}:%{version}
rm %{_datadir}/%{name}/%{version}/doc || :

%triggerpostun doc -- %{name} = %{epoch}:%{version}
if [ -d %{_docdir}/%{name}-doc-%{version} -a \
	-d %{_datadir}/%{name}/%{version} ]; then
	ln -snf %{_docdir}/%{name}-doc-%{version} %{_datadir}/%{name}/%{version}/doc
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/maxima
%attr(755,root,root) %{_bindir}/rmaxima
%attr(755,root,root) %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}/demo
%{_datadir}/%{name}/%{version}/share
%{_datadir}/%{name}/%{version}/tests
%{_mandir}/man?/*
%{_infodir}/maxima.info*
%{_infodir}/maxima-index.lisp
%{_infodir}/imaxima.info*

%files xmaxima
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmaxima
%{_datadir}/maxima/%{version}/xmaxima
%{_desktopdir}/*.desktop
%{_infodir}/xmaxima.info*
%{_pixmapsdir}/*

%files -n emacs-maxima-pkg
%defattr(644,root,root,755)
%{_emacs_lispdir}/%{name}
%{_emacs_lispdir}/site-start.d/%{name}-mode-init.el

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc-%{version}

%files src
%defattr(644,root,root,755)
%{_usrsrc}/maxima-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: maxima.spec,v $
Revision 1.55  2011/07/20 22:11:34  uzsolt
- 5.24.0

Revision 1.54  2011/01/29 00:06:58  sparky
- dropped pre-cvs changelog

Revision 1.53  2010/12/10 00:01:27  uzsolt
- 5.22.1

Revision 1.52  2009/09/22 00:14:20  gotar
- upgraded to 5.19.2

Revision 1.51  2009/08/19 11:25:51  amateja
- updated to 5.19.1

Revision 1.50  2009/05/03 23:03:17  hawk
- release 2

Revision 1.49  2009/04/27 07:25:44  duddits
- up to 5.18.0

Revision 1.48  2009/03/05 22:34:57  baggins
- rel 3

Revision 1.47  2009/02/23 22:07:05  arekm
- release 2

Revision 1.46  2009/02/17 19:32:09  duddits
- up to 5.17.0
- patches: info-compressed.patch, info.patch, install.patch updated

Revision 1.45  2008/09/16 21:54:47  draenog
- up to 5.16.3

Revision 1.44  2008/08/27 18:38:30  rotom
- up to 5.16.1

Revision 1.43  2008/06/26 15:56:12  draenog
- change of name of subpackage with emacs files

Revision 1.42  2008/06/26 12:58:29  draenog
- imaxima.info packaged
- rel. 1

Revision 1.41  2008/06/25 23:25:30  draenog
- emacs subpackage

Revision 1.40  2008/06/14 13:18:58  draenog
- info file for xmaxima

Revision 1.39  2008-06-14 12:58:25  draenog
- internal help in maxima now works

Revision 1.38  2008-06-13 02:14:59  draenog
- subpackages for sources and documentation

Revision 1.37  2008-05-26 19:26:39  qboosh
- pl for -xmaxima
- fixed shellglob

Revision 1.36  2008-05-17 13:01:10  draenog
- subpackage for xmaxima
- fix previous log message

Revision 1.35  2008-05-17 11:33:30  draenog
- xmaxima.sh not needed with maxima-posix.patch

Revision 1.34  2008-05-17 10:47:31  draenog
- it works without gnuplot

Revision 1.33  2008-05-17 10:26:15  draenog
- fixes for POSIX shell

Revision 1.32  2008-05-16 22:52:06  draenog
- 5.15.0
- missed-files.patch
- perl and python are used during generation of documentation

Revision 1.31  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.30  2007-09-05 11:00:32  baggins
- rel 3

Revision 1.29  2007/09/05 09:51:23  gotar
- added xmaxima.sh wrapper script which sets MAXIMA_DIRECTORY

Revision 1.28  2007/09/04 12:36:20  baggins
- rel 2
- fix info build

Revision 1.27  2007/09/04 12:20:42  baggins
- 5.13.0

Revision 1.26  2007/06/18 17:33:35  rotom
- up to 5.12.0

Revision 1.25  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.23  2007/01/02 11:51:25  piti
- up to 5.11.0

Revision 1.22  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.21  2006/09/24 07:39:28  piti
- removed BR unzip

Revision 1.20  2006/09/24 07:20:56  piti
- up to 5.10.0

Revision 1.19  2006/04/21 05:50:36  ankry
- fixed last change

Revision 1.18  2006/04/21 05:16:34  ankry
- updated categories; version independent Icon

Revision 1.17  2005/12/22 23:44:43  blekot
- up to 5.9.2

Revision 1.16  2005/10/14 20:44:28  arekm
- rel 4

Revision 1.15  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.14  2005/07/26 01:52:40  undefine
- rel 2 to rebuild with clisp 2.34

Revision 1.13  2004/10/07 10:12:59  qboosh
- BR: unzip for .zip source

Revision 1.12  2004/09/24 11:24:16  gotar
- upgraded to 5.9.1 (use zip, tar.gz file is truncated), added TODOs and Rs

Revision 1.11  2004/06/18 11:11:01  qboosh
- added info patch, register info page; release 4

Revision 1.10  2004/06/15 14:31:10  undefine
- release 3 to rebuild with clisp 2.33.2

Revision 1.9  2004/03/20 16:17:03  gotar
- added desktop file,
- removed R: clisp (there is already requires_eq),
- release 2.

Revision 1.8  2003/07/11 18:46:38  grzegol
- updated to 5.9.0
- cleanups

Revision 1.7  2003/05/25 05:50:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.5  2002/11/25 18:27:11  undefine
- downgrade to rc2 (rc3 doesn't compile now :/)
- %requires_eq clisp

Revision 1.4  2002/11/21 23:55:56  undefine
- add requires: clisp

Revision 1.3  2002/11/21 13:43:21  undefine
- updated to rc3. STBR

Revision 1.2  2002/10/24 08:44:36  qboosh
- aaaaaa... pl fixes

Revision 1.1  2002/10/23 15:31:49  undefine
- initial pld version
